Mail archive
alpine-aports

[alpine-aports] [PATCH 4/6] testing/py-cligj: new aport

From: Trevor R.H. Clarke <trevor_at_notcows.com>
Date: Sun, 28 Feb 2016 20:54:51 -0500

https://github.com/mapbox/cligj
Click params for commmand line interfaces to GeoJSON
---
 testing/py-cligj/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 testing/py-cligj/APKBUILD
diff --git a/testing/py-cligj/APKBUILD b/testing/py-cligj/APKBUILD
new file mode 100644
index 0000000..d5b6a86
--- /dev/null
+++ b/testing/py-cligj/APKBUILD
_at_@ -0,0 +1,36 @@
+# Contributor: Trevor R.H. Clarke <trevor_at_notcows.com>
+# Maintainer: Trevor R.H. Clarke <trevor_at_notcows.com>
+pkgname=py-cligj
+pkgver="0.4.0"
+pkgrel=0
+pkgdesc="Click params for commmand line interfaces to GeoJSON"
+url="https://github.com/mapbox/cligj"
+arch="all"
+license="BSD"
+depends="python py-click"
+makedepends="python-dev py-pip"
+install=""
+subpackages=""
+source=""
+
+_builddir="$srcdir"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	pip install cligj --no-deps --root "$_builddir"
+}
+
+package() {
+	cd "$_builddir"
+        mkdir -p "$pkgdir"
+        cp -r usr "$pkgdir/"
+}
-- 
2.4.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Feb 28 2016 - 20:54:51 GMT